Name:		perl-SQL-ReservedWords
Version:	0.8
Release:	2%{?dist}
Summary:	Determine if words are reserved by ANSI/ISO SQL standard
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/SQL-ReservedWords/
Source0:	http://www.cpan.org/authors/id/C/CH/CHANSEN/SQL-ReservedWords-%{version}.tar.gz

# don't require Module::Build 0.4
Patch0:		SQL-ReservedWords-0.8-build.patch

BuildArch:	noarch
BuildRequires:	perl(constant)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
Requires:	perl(Sub::Exporter)
Requires:	perl(Pod::Usage)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Determine if words are reserved by ANSI/ISO SQL standard.  There are also
sub modules that determine if a particular database server reserves the word.

%prep
%setup -q -n SQL-ReservedWords-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/SQL/
%{_bindir}/sqlrw
%{_mandir}/man1/sqlrw.1*
%{_mandir}/man3/SQL::ReservedWords*.3pm*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep  4 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.8-1
- update to version 0.8

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.7-4
- add comment for patch entry

* Mon Jul 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.7-3
- remove buildroot and clean
- remove defattr from files section
- update Requires and BuildRequires
- patch sqlrw to require Pod::Usage


* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.7-2
- Make man entries in file section more specific

* Mon Feb 15 2010 Bill Pemberton <wfp5p@virginia.edu> - 0.7-1
- Initial version
